Bug 456 - Makefile does not install souce/po/*.msg files automatically
Makefile does not install souce/po/*.msg files automatically
Product: Samba 3.0
Classification: Unclassified
Component: Build environment
All All
: P3 minor
: none
Assigned To: Tim Potter
Depends on:
Blocks: 413
  Show dependency treegraph
Reported: 2003-09-16 00:33 UTC by Shiro Yamada
Modified: 2005-08-24 10:26 UTC (History)
1 user (show)

See Also:

A possible solution (1.47 KB, patch)
2003-09-21 21:21 UTC, Shiro Yamada
no flags Details
Install msg files from ../swat/$lang.msg (4.41 KB, patch)
2003-09-22 18:38 UTC, Tim Potter
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Shiro Yamada 2003-09-16 00:33:22 UTC
Even in the most recent release of Samba (3.0.0RC4), no source/po/*.msg files are
installed to ${LIBDIR} under "make install" phase.
As a consequence, users are forced to copy source/po/*.msg manually to ${LIBDIR}
by themselves, in order to display localised SWAT pages.
These msg files should be installed automatically when SWAT is enabled.

This problem can be fixed by modifying existing "source/script/installswat.sh"
script, or introducing a new script together with a minute change in Makefile.in.
Comment 1 Tim Potter 2003-09-18 23:58:48 UTC
Wow - this stuff really has rotted away hasn't it?
Comment 2 Shiro Yamada 2003-09-21 21:21:42 UTC
Created attachment 155 [details]
A possible solution

Here is a simple patch, which installs po/*.msg files automatically when
installing SWAT. I know it is not exciting, but I don't think it is
user-friendly to leave this problem as it is.
Comment 3 Tim Potter 2003-09-21 22:57:32 UTC
I'm not happy with the location of the msg files being $(DESTDIR)$(LIBDIR).  I
think it should be something like $(DESTDIR)$(LIBDIR)/msg.

I'll ask on the mailing list for some suggestions.
Comment 4 Tim Potter 2003-09-22 17:34:12 UTC
Hmm - there's already a lang subdirectory in $(SWATDIR), usually
Comment 5 Tim Potter 2003-09-22 18:38:20 UTC
Created attachment 163 [details]
Install msg files from ../swat/$lang.msg

Here's a patch to install the msg files from source/../swat/lang directory into

It relies on moving the msg files from the source directory to ../swat/lang, ie

$ mv source/po/*.msg swat/lang
Comment 6 Tim Potter 2003-09-23 18:24:51 UTC
I've applied patch 1 so something gets in to samba 3.0.0 which is to be released

Proper fix to come in a later release.
Comment 7 Shiro Yamada 2003-09-23 19:27:20 UTC
I've tested your patch with RC4 and it seems to be working properly, at least
for SWAT displays. I appreciate for your prompt action.
Comment 8 Tim Potter 2003-09-23 19:36:14 UTC
Thanks!  I'll be working with Monyo on getting better support for 3.0.1
Comment 9 Gerald (Jerry) Carter 2005-02-07 09:05:39 UTC
originally reported against one of the 3.0.0rc[1-4] releases.
Cleaning up non-production versions.
Comment 10 Gerald (Jerry) Carter 2005-08-24 10:26:35 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.